Bug Hunting Session
Bug 87960 - VIEWING LibreOffice Impress wobble/shake/vibrate of images incorrect
Summary: VIEWING LibreOffice Impress wobble/shake/vibrate of images incorrect
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-02 08:09 UTC by Óvári
Modified: 2018-12-16 03:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Wobble/shake/vibrate of last 3 images that fly in incorrect (161.88 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-01-02 08:09 UTC, Óvári
Details
PowerPoint file, hopefully not plain text (161.88 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-01-02 08:12 UTC, Óvári
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Óvári 2015-01-02 08:09:24 UTC
Created attachment 111641 [details]
Wobble/shake/vibrate of last 3 images that fly in incorrect

1. In LibreOffice Impress (LO), headings ‘Travel Quiz’ and ‘Travel locations’ do not show at the beginning as the pictures are flying in. It does show on the Presenter’s View but not on the view which the Audience sees.

2. Also in LO, the 3 pictures in that fly in at the end do not wobble/shake/vibrate correctly.
Comment 1 Óvári 2015-01-02 08:12:17 UTC
Created attachment 111642 [details]
PowerPoint file, hopefully not plain text
Comment 2 Buovjaga 2015-01-16 17:19:38 UTC
The missing headings in the beginning seem to be a Windows-only problem.
The 3 pics at the end don't seem to whirl correctly on Linux either, though.

Win 7 64-bit, LibO Version: 4.4.0.2
Build ID: a3603970151a6ae2596acd62b70112f4d376b99

and Version: 4.5.0.0.alpha0+
Build ID: 4c93c341be1425401112eed3581e8b8a6308880d
TinderBox: Win-x86@42, Branch:master, Time: 2015-01-16_01:53:40

Ubuntu 14.10 64-bit Version: 4.5.0.0.alpha0+
Build ID: 0ffa3abc7d6c0437ece30cfb1430d28ffcc9f5c1
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-01-15_22:47:16

Version: 4.3.3.2
Build ID: 430m0(Build:2)

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 3 QA Administrators 2016-09-20 10:14:10 UTC Comment hidden (obsolete)
Comment 4 Óvári 2016-09-21 10:55:54 UTC
No change from comment 2 with:

Linux Mint 18 Cinnamon
Version: 5.1.4.2
Build ID: 1:5.1.4-0ubuntu1
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default
Comment 5 Commit Notification 2016-11-17 13:09:26 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b79cf88a048e5d8c784c97d99155104aef3d5dca

Resolves: tdf#87960 add and use a ToolFontColor for toolbar item entries

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Óvári 2016-11-21 10:37:42 UTC
(In reply to Commit Notification from comment #5)
> Affected users are encouraged to test the fix and report feedback.
Headings now seem correct; however, the 3 pictures that fly in at the end do not stop at the correct position.

Thank you

Windows 8.1
master~2016-11-20_22.13.43_LibreOfficeDev_5.3.0.0.alpha1_Win_x64_en-US_de_ar_jp_ru_qtz.msi
Comment 7 QA Administrators 2017-12-15 07:45:43 UTC Comment hidden (obsolete)
Comment 8 Óvári 2017-12-15 09:16:48 UTC
(In reply to QA Administrators from comment #7)
The crash report was successfully uploaded.
You can soon find the report at:
crashreport.libreoffice.org/stats/crash_details/6940925b-71a0-426a-b03b-468740b16ec0
Comment 9 QA Administrators 2018-12-16 03:50:59 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug